%define upstream_name    Data-Paginate
%define upstream_version 0.0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    OO interface to paginate data  with 1 module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Std)
BuildRequires: perl(Class::Std::Utils)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(version)
BuildArch: noarch

%description
This module gives you a single resource to paginate data very simply.

It includes access to the page/data variables as well as a way to generate
the navigation HTML and get the data for the current page from a list of
data and many many other things. It can definitely be extended to generate
the navigation controls for XML, Tk, Flash, Curses, etc... (See
"SUBCLASSING" below)

Each item in the "new()" and "Non new() entries" sections have a get_ and
set_ method unless otherwise specified.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.0.6-10.mga10
+ Revision: 2198074
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.0.6-9.mga9
+ Revision: 1802838
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.6-8.mga8
+ Revision: 1493759
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.0.6-7.mga7
+ Revision: 1267000
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.0.6-6.mga6
+ Revision: 1024823
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.0.6-5.mga6
+ Revision: 929875
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-4.mga5
+ Revision: 744128
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-3.mga5
+ Revision: 684221
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.6-2.mga4
+ Revision: 523671
- Mageia 4 Mass Rebuild

* Tue May 14 2013 dlucio <dlucio> 0.0.6-1.mga4
+ Revision: 413158
- imported package perl-Data-Paginate


* Tue May 14 2013 cpan2dist 0.0.6-1mga
- initial mageia release, generated with cpan2dist
